program meblowy;

//==============================================================================
// program do frezowania ramek na frontach meblowych
//==============================================================================

var szer,wys,odstep,depth,l1,l2,d1,d2,rs,L1_SZER,L2_SZER,L3_SZER,
L1_WYS,L2_WYS,L3_WYS:extended;
Fxy,Fz,mode:cardinal;
begin
  szer:=190; wys:=350; odstep:=10; fxy:=2000; Fz:=400; depth:=4;
  mode:=0;  l1:=15; l2:=15; d1:=16; d2:=10; L1_WYS:=5; L2_WYS:=3; L3_WYS:=20;

  if (RUN_CNT=0) then begin  // wykonywane tylko przy pierwszym uruchomieniu
   SetArgPic('luki_info.jpg');   // obrazek objaśniający
   SetArg(0,'Szerokość frontu (mm)',szer);
   SetArg(1,'Wysokość  frontu (mm)',wys);
   SetArg(2,'odległość od krawędzi (mm)',odstep);

   SetArg(3,'W3(mm)',L3_WYS);
   SetArg(4,'L2(%)',L2);
   SetArg(5,'W2(mm)',L2_WYS);
   SetArg(6,'P2(mm)',d2);

   SetArg(7,'L1(%)',L1);
   SetArg(8,'W1(mm)',L1_WYS);
   SetArg(9,'P1(mm)',d1);

   SetArg(10,'Głębokość frezowania (mm)',depth);
  end;

  ArgEdit;  // okno edycji parametrów
  szer:=Arg(0); wys:=Arg(1);  odstep:=Arg(2); depth:=Arg(10);
  L3_WYS:=Arg(3);
  L2:=Arg(4); L2_WYS:=Arg(5); d2:=Arg(6);
  L1:=Arg(7); L1_WYS:=Arg(8); d1:=Arg(9);


  rs:=SZER-(2*ODSTEP);
  L1_SZER:=(rs*l1)/100;
  L2_SZER:=(rs*l2)/100;
  L3_SZER:=rs-2*(L1_SZER+L2_SZER);

  SetG(0); SetZ(20);
  write;

  SetX(ODSTEP); SetY(ODSTEP+L3_WYS+d1+d2); SetM(3); write;
  Write;

  SetZ(1);
  write;

  SetG(1); SetZ(-1*DEPTH); SetF(Fz);
  write;

  SetF(Fxy);                                   // dolna linia
  SetG(2); SetX(GetX+L1_SZER); SetY(GetY-d1); SetBulge(L1_WYS); write;
  SetG(2); SetX(GetX+L2_SZER); SetY(GetY-d2); SetBulge(L2_WYS); write;
  SetG(3); SetX(GetX+L3_SZER); SetBulge(L3_WYS); write;
  SetG(2); SetX(GetX+L2_SZER); SetY(GetY+d2); SetBulge(L2_WYS); write;
  SetG(2); SetX(GetX+L1_SZER); SetY(GetY+d1); SetBulge(L1_WYS); write;


  SetG(1); SetY(WYS-ODSTEP-L3_WYS-d1-d2); write;   // prawa boczna linia

                                                // górna linia
  SetG(2); SetX(GetX-L1_SZER); SetY(GetY+d1); SetBulge(L1_WYS); write;
  SetG(2); SetX(GetX-L2_SZER); SetY(GetY+d2); SetBulge(L2_WYS); write;
  SetG(3); SetX(GetX-L3_SZER); SetBulge(L3_WYS); write;
  SetG(2); SetX(GetX-L2_SZER); SetY(GetY-d2); SetBulge(L2_WYS); write;
  SetG(2); SetX(GetX-L1_SZER); SetY(GetY-d1); SetBulge(L1_WYS); write;


  SetG(1); SetY(ODSTEP+L3_WYS+d1+d2); write;   // lewa boczna linia

  SetG(0); SetZ(20); write;

  SetM(5); SetM(30); write;

end.
